Bug 44319 - EDITING: numbering with {LISTNUM LegalDefault} code field not working
Summary: EDITING: numbering with {LISTNUM LegalDefault} code field not working
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
: 50894 61626 (view as bug list)
Depends on:
Blocks: DOC-Fields
  Show dependency treegraph
 
Reported: 2011-12-30 07:06 UTC by matickumer
Modified: 2021-04-06 03:38 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
A demonstration of the reported bug. (25.00 KB, application/msword)
2012-05-04 04:03 UTC, matickumer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description matickumer 2011-12-30 07:06:12 UTC
Problem description: 

If you number paragraphs in Ms Office with the code field of {LISTNUM LegalDefault}, the numbers are not visible in Libreoffice. 

Steps to reproduce:
1. Create code field in Ms Office with the following content: {LISTNUM LegalDefault}
2. Save the document in word 2003 format (doc).
3. Open the same document in Libreoffice.

Current behaviour:

If you watch the document in Ms Office the number of paragraf is shown but in Libreoffice isn't shown.

Expected behaviour:

The number of paragraph should be shown in Libreoffice. 

Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/535.7 (KHTML, like Gecko) Chrome/16.0.912.63 Safari/535.7
Browser: Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/535.7 (KHTML, like Gecko) Chrome/16.0.912.63 Safari/535.7
Comment 1 sasha.libreoffice 2012-05-03 06:46:36 UTC
Thanks for bugreport
Please, attach document produced in step 2
Comment 2 matickumer 2012-05-04 04:03:29 UTC
Created attachment 61016 [details]
A demonstration of the reported bug.

This is a document made in Ms Office that uses the {LISTNUM LegalDefau​lt} code field.
Comment 3 sasha.libreoffice 2012-05-04 04:29:11 UTC
Thanks for attachment
reproduced in 3.3.4 and 3.5.3 on Fedora 64 bit
changing version to 3.3.4 as most early reproducible
Comment 4 matickumer 2012-05-04 05:35:38 UTC
I use 

(In reply to comment #3)
> Thanks for attachment
> reproduced in 3.3.4 and 3.5.3 on Fedora 64 bit
> changing version to 3.3.4 as most early reproducible
Comment 5 matickumer 2012-05-04 05:40:00 UTC
I use Openoffice 3.2.1 (build 9502) on my one of my computers and the bug is also present - if this information is of any help to you.

(In reply to comment #3)
> Thanks for attachment
> reproduced in 3.3.4 and 3.5.3 on Fedora 64 bit
> changing version to 3.3.4 as most early reproducible
Comment 6 Joel Madero 2013-03-14 16:00:55 UTC
*** Bug 61626 has been marked as a duplicate of this bug. ***
Comment 7 QA Administrators 2015-02-19 15:41:57 UTC Comment hidden (obsolete)
Comment 8 John 2015-03-04 14:45:11 UTC
Confirmed reproduced bug with V4.4.1 (Vista X86)
Comment 9 Joel Madero 2015-03-04 22:35:36 UTC
*** Bug 50894 has been marked as a duplicate of this bug. ***
Comment 10 tommy27 2016-04-16 07:23:10 UTC Comment hidden (obsolete)
Comment 11 QA Administrators 2017-05-22 13:22:49 UTC Comment hidden (obsolete)
Comment 12 Thomas Lendo 2018-10-01 06:46:08 UTC
Still reproducible with MSO Word 2013 and LibO 6.2 alpha0 from today.
Comment 13 QA Administrators 2021-04-06 03:38:07 UTC
Dear matickumer,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug